* {
    box-sizing: border-box;
}
body {
    background-color: rgb(240,240,240);
    font-family: helvetica, sans-serif;
    padding: 2rem;
}
header {
    display: flex;
    margin-block-end: 1rem;
}
/* header */
header h1 {
    flex-basis: auto;
    flex-grow: 1;
    flex-shrink: 1;

    margin: 0;
    font-size: 2.5rem;
    background-image: url(../images/our-solar-system.png);
    background-size: contain;
    background-repeat: no-repeat;
    padding-top: 125px;
    padding-bottom: 0;
    height: 125px;
    overflow: hidden;
    white-space: nowrap;
}
header nav {
    flex-grow: 1;
    flex-shrink: 0;
    margin-top: 1.5rem;
}
/* main */
main div.container {
    /* this is our grid parent */
    display: flex;
    flex-wrap: wrap;
    column-gap: 2rem;
    row-gap: 2rem;
    max-width: 90rem;
    margin-inline-start: auto;
    margin-inline-end: auto;
}
div.container section {
    flex-basis: calc(33.33% - 1.3333rem);
    background-color: white;
    border-style: solid;
    border-color: black;
    border-width: 2px;
    padding: 1rem;
}
div.container section h2 {
    text-align: center;
}
div.container section img {
    width: 100%;
}

/* header navigation */
header nav ul {
    display: flex;
    justify-content: flex-end; 
    list-style: none;
    margin: 0;
    padding: 0;
}

header nav ul li {
    padding-inline-start: 0.25rem;
    flex-grow: 0;
}

header nav a:link,
header nav a:hover,
header nav a:visited,
header nav a:active { 
    text-decoration: none;
    color: navy;
    display: block;
    padding: 1rem;
}
header nav a:hover {
    text-decoration: underline;
    background-color: white;
}

nav li.login a,
nav li.signup a {
    border: 2px solid black;
    border-radius: 10px;
    background-color: white;
    color: black;
    padding: 0.5rem;
    margin-block-start: 0.5rem;
}
nav li.signup a {
    margin-inline-start: 1rem;
 }
nav li.login a:hover,
nav li.signup a:hover {
    color: white;
    background-color: black;
    transition: background-color 0.5s, color 0.5s;
}

nav li.login a {
    border-color: rgb(58, 80, 156);
    color: rgb(58, 80, 156);
}
nav li.login a:hover {
    color: white;
    background-color: rgb(58, 80, 156);
}

